Subject: bug#29321: Isearch hit count

From: Drew Adams <[email-masked]>
Date: Sat, 3 Nov 2018 18:22:45 -0700 (PDT)

I haven't looked at your patches for this (goto match #)
yet.  (I haven't even had a chance to check your last patch
for the count yet.)

I was thinking about this request, and thinking along these
lines: Where we count, push (match # . buffer-position)
to an alist variable.  The variable would get reinitialized
when counting gets reinitialized (e.g. for a new search
string, direction change, or startup of Isearch).

That alist could be used to go to any given match, either
during the current Isearch or later.  If they wanted, users
could even save copies of the alist for different searches,
for subsequent reuse.

Just a (naive) thought.  Haven't really thought it through.

It should be possible to move directly to a given match
occurrence, without starting anew from the start of the
buffer, no?

Feel free to say such an approach would be silly.  Or slow
or whatever.

I was thinking of binding a key during Isearch to move to
an occurrence by its match number.  `M-g' perhaps.  With
a numeric prefix arg it would move to that number.  With
no prefix arg it would prompt for the number (with
completion requiring a match against the alist).

Just a thought.